from Pycard import model, dialog
from skylive import config
import wx

class AskStream(model.Background):

   def on_initialize(self, event):
      self.parent = self.getParent()

   def on_close(self, event):
      self.parent.on_CloseAskStream(event)
      event.skip()

   def on_exit_command(self, event):
      self.close()

   def on_size(self, event):
      self.panel.SetSize(self.size)

   def on_ButtonYes_mouseClick(self, event):
      self.parent.on_realStartStream(event)

   def on_ButtonNo_mouseClick(self, event):
      self.parent.on_realNoStream(event)


